Updating redhat 7 2

Posted by / 13-Dec-2017 07:35

Can someone provide the steps needed to install python version 2.7 on SUSE and Red Hat?

It version that is on there is like 2.4 and I need to have it at at least 2.6 to make my script work.

So that when I type "python" in terminal or go to install ipython it recognises 2.7.

I am on redhat 6.5 and when I type "python --version" I get 2.7.5.

Package dstat-0.7.2-12.el7.noarch already installed and latest version Package iotop-0.6-2.el7.noarch already installed and latest version Package swig-2.0.10-4.el7.x86_64 already installed and latest version Package libffi-devel-3.0.13-16.el7.x86_64 already installed and latest version Package libxml2-devel-2.9.1-6.el7_2.3.x86_64 already installed and latest version Package libxslt-devel-1.1.28-5.el7.x86_64 already installed and latest version Package ncurses-devel-5.9-13.20130511.el7.x86_64 already installed and latest version Resolving Dependencies -- Finished Dependency Resolution Error: Package: 1:openssl-1.0.1e-34.el7.x86_64 (@anaconda/7.0) Requires: openssl-libs(x86-64) = 1:1.0.1e-34.el7 Removing: 1:openssl-libs-1.0.1e-34.el7.x86_64 (@anaconda/7.0) openssl-libs(x86-64) = 1:1.0.1e-34.el7 Updated By: 1:openssl-libs-1.0.1e-51.el7_2.7.x86_64 (updates) openssl-libs(x86-64) = 1:1.0.1e-51.el7_2.7 Removing: 1:openssl-libs-1.0.1e-51.el7_2.5.x86_64 (installed) openssl-libs(x86-64) = 1:1.0.1e-51.el7_2.5 Updated By: 1:openssl-libs-1.0.1e-51.el7_2.7.x86_64 (updates) openssl-libs(x86-64) = 1:1.0.1e-51.el7_2.7 Available: 1:openssl-libs-1.0.1e-34.el7_0.3.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-34.el7_0.3 Available: 1:openssl-libs-1.0.1e-34.el7_0.4.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-34.el7_0.4 Available: 1:openssl-libs-1.0.1e-34.el7_0.6.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-34.el7_0.6 Available: 1:openssl-libs-1.0.1e-34.el7_0.7.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-34.el7_0.7 Available: 1:openssl-libs-1.0.1e-42.el7.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-42.el7 Available: 1:openssl-libs-1.0.1e-42.el7_1.4.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-42.el7_1.4 Available: 1:openssl-libs-1.0.1e-42.el7_1.5.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-42.el7_1.5 Available: 1:openssl-libs-1.0.1e-42.el7_1.6.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-42.el7_1.6 Available: 1:openssl-libs-1.0.1e-42.el7_1.8.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-42.el7_1.8 Available: 1:openssl-libs-1.0.1e-42.el7_1.9.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-42.el7_1.9 Available: 1:openssl-libs-1.0.1e-42.el7.9.x86_64 (base) openssl-libs(x86-64) = 1:1.0.1e-42.el7.9 Available: 1:openssl-libs-1.0.1e-51.el7_2.1.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-51.el7_2.1 Available: 1:openssl-libs-1.0.1e-51.el7_2.2.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-51.el7_2.2 Available: 1:openssl-libs-1.0.1e-51.el7_2.4.x86_64 (rhel-7-repo) openssl-libs(x86-64) = 1:1.0.1e-51.el7_2.4 You could try using --skip-broken to work around the problem ** Found 19 pre-existing rpmdb problem(s), 'yum check' output follows: curl-7.29.0-25.el7.centos.x86_64 is a duplicate with curl-7.29.0-19.el7.x86_64 e2fsprogs-1.42.9-7.el7.x86_64 is a duplicate with e2fsprogs-1.42.9-4.el7.x86_64 e2fsprogs-libs-1.42.9-7.el7.x86_64 is a duplicate with e2fsprogs-libs-1.42.9-4.el7.x86_64 epel-release-7-7.noarch is a duplicate with epel-release-7-5.noarch krb5-libs-1.13.2-12.el7_2.x86_64 is a duplicate with krb5-libs-1.11.3-49.el7.x86_64 libcom_err-1.42.9-7.el7.x86_64 is a duplicate with libcom_err-1.42.9-4.el7.x86_64 libcurl-7.29.0-25.el7.centos.x86_64 is a duplicate with libcurl-7.29.0-19.el7.x86_64 libffi-3.0.13-16.el7.x86_64 is a duplicate with libffi-3.0.13-11.el7.x86_64 libgcrypt-1.5.3-12.el7_1.1.x86_64 is a duplicate with libgcrypt-1.5.3-4.el7.x86_64 libss-1.42.9-7.el7.x86_64 is a duplicate with libss-1.42.9-4.el7.x86_64 libxml2-2.9.1-6.el7_2.3.x86_64 is a duplicate with libxml2-2.9.1-5.el7.x86_64 libxml2-python-2.9.1-6.el7_2.3.x86_64 is a duplicate with libxml2-python-2.9.1-5.el7.x86_64 1:openssl-1.0.1e-51.el7_2.5.x86_64 is a duplicate with 1:openssl-1.0.1e-34.el7.x86_64 1:openssl-libs-1.0.1e-51.el7_2.5.x86_64 is a duplicate with 1:openssl-libs-1.0.1e-34.el7.x86_64 pcre-8.32-15.el7_2.1.x86_64 is a duplicate with pcre-8.32-12.el7.x86_64 wget-1.14-10.el7_0.1.x86_64 is a duplicate with wget-1.14-10.el7.x86_64 xz-5.1.2-12alpha.el7.x86_64 is a duplicate with xz-5.1.2-8alpha.el7.x86_64 xz-libs-5.1.2-12alpha.el7.x86_64 is a duplicate with xz-libs-5.1.2-8alpha.el7.x86_64 zlib-1.2.7-15.el7.x86_64 is a duplicate with zlib-1.2.7-13.el7.x86_64 Failed to set locale, defaulting to C Loaded plugins: product-id, subscription-manager This system is not registered to Red Hat Subscription Management. Package tree-1.6.0-10.el7.x86_64 already installed and latest version Package gcc-4.8.5-4.el7.x86_64 already installed and latest version No package curl-7.35* available.

Package dstat-0.7.2-12.el7.noarch already installed and latest version Package iotop-0.6-2.el7.noarch already installed and latest version Package swig-2.0.10-4.el7.x86_64 already installed and latest version Package libffi-devel-3.0.13-16.el7.x86_64 already installed and latest version Package libxml2-devel-2.9.1-6.el7_2.3.x86_64 already installed and latest version Package libxslt-devel-1.1.28-5.el7.x86_64 already installed and latest version Package ncurses-devel-5.9-13.20130511.el7.x86_64 already installed and latest version Resolving Dependencies -- Finished Dependency Resolution Packages skipped because of dependency problems: 1:openssl-1.0.1e-51.el7_2.7.x86_64 from updates 1:openssl-devel-1.0.1e-51.el7_2.7.x86_64 from updates 1:openssl-libs-1.0.1e-51.el7_2.7.x86_64 from updates Dependencies Resolved ================================================================================================================================================================================================ Package Arch Version Repository Size ================================================================================================================================================================================================ Updating: python x86_64 2.7.5-39.el7_2 updates 89 k python-devel x86_64 2.7.5-39.el7_2 updates 392 k Updating for dependencies: python-libs x86_64 2.7.5-39.el7_2 updates 5.6 M Skipped (dependency problems): openssl x86_64 1:1.0.1e-51.el7_2.7 updates 712 k openssl-devel x86_64 1:1.0.1e-51.el7_2.7 updates 1.2 M openssl-libs x86_64 1:1.0.1e-51.el7_2.7 updates 953 k Transaction Summary ================================================================================================================================================================================================ Upgrade 2 Packages ( 1 Dependent package) Skipped (dependency problems) 3 Packages Total download size: 6.1 M Downloading packages: Delta RPMs disabled because /usr/bin/applydeltarpm not installed.

So after the install, I can type Python in a x Term and get the Python 2.7 command line interface.

Instructions to download source and install: https:// NOTE: You should check for the latest version of python 2.7.x, as it gets updated frequently.

Failed to set locale, defaulting to C Loaded plugins: product-id, subscription-manager This system is not registered to Red Hat Subscription Management. Package tree-1.6.0-10.el7.x86_64 already installed and latest version Package gcc-4.8.5-4.el7.x86_64 already installed and latest version No package curl-7.35* available.Redhat recommends to connect the systems to their repository to update the system without much pain. But customers don’t want to keep the systems in direct internet facing for any reason. stands for Software Collections, and yes they do make that promise explicitly (it's actually their very purpose). but I also needed to install some third party modules.The nice thing is that easy_install gets its installation locations from the version of Python you are running, but I found I still needed to install easy_install for Python 2.7 otherwise I would get You have to leave Python 2.4 installed on RHEL/Centos; otherwise, tools start breaking.

updating redhat 7 2-32updating redhat 7 2-9updating redhat 7 2-54

In the past, the only official method of upgrading major versions of Cent OS was to wipe and reinstall everything.

One thought on “updating redhat 7 2”

  1. In 2008, Cox appeared on the VH1 competition Matt Mc Gorry (Bennett) Before starring on two of the buzziest shows on TV, Mc Gorry was a competitive bodybuilder and personal trainer. Mc Gorry eventually decided to ease off the bodybuilding to focus on his acting. The actor still regularly works on his fitness, which is clear every time he strips down for a shirtless dance scene on 's third season, but in real life he's one of the funniest comics out there right now.

  2. While we compile that information (which we’ll share with you shortly), we already know what talent will be involved with the expansion, and it sounds like another Firefly star is on board!